/*////////////////////////////////////////////////////////////////////////
Copyright (c) 1995 Electrotechnical Laboratry (ETL), AIST, MITI

Permission to use, copy, modify, and distribute this material for any
purpose and without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies, and
that the name of ETL not be used in advertising or publicity pertaining
to this material without the specific, prior written permission of an
authorized representative of ETL.
ETL MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS
MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS
OR IMPLIED WARRANTIES.
/////////////////////////////////////////////////////////////////////////
Content-Type:	program/C; charset=US-ASCII
Program:	resmain.c
Author:		Yutaka Sato <ysato@etl.go.jp>
Description:
History:
	950817	created
//////////////////////////////////////////////////////////////////////#*/
#include <stdio.h>
#include <string.h>
static int f_aton;

main(ac,av)
	char *av[];
{	int ai;
	char *arg;

	DO_INITIALIZE(ac,av);

	if( ac <= 1 ){
fprintf(stderr,
"Usage -- %s [NS=nameserver] { domain-name | ip-address }\n",av[0]);
fprintf(stderr,
"<ip-address> can be specified as a range like: aa.bb.cc.dd-ee\n");
		exit(-1);
	}
	for( ai = 1; ai < ac; ai++ ){
		arg = av[ai];
		if( strncmp(arg,"-d",2) == 0 ){
			RES_debug(arg+2);
			continue;
		}else
		if( strcmp(arg,"+n") == 0 ){
			f_aton = 1;
			continue;
		}else
		if( strncmp(arg,"NS=",3) == 0 ){
			RES_ns(arg+3);
		}else
		if( strcmp(arg,"-") == 0 ){
			char *line[256],*dp;

			while( fgets(line,sizeof(line),stdin) != NULL ){
				if( dp = strpbrk(line,"\r\n") )
					*dp = 0;
				RES_1(f_aton,stdout,line);
				fflush(stdout);
			}
		}else{
			resolv1(arg);
		}
	}
	exit(0);
}
resolv1(arg)
	char *arg;
{	int a1,a2,a3,a41,a42,a4;
	char addr[256];

	if( sscanf(arg,"%d.%d.%d.%d-%d",&a1,&a2,&a3,&a41,&a42) == 5 ){
		for( a4 = a41; a4 < a42; a4++ ){
			sprintf(addr,"%d.%d.%d.%d",a1,a2,a3,a4);
			RES_1(f_aton,stdout,addr);
		}
	}else{
		RES_1(f_aton,stdout,arg);
	}
	fflush(stdout);
}
Finish(code)
{
	exit(code);
}

setBinaryIO(){ }
int LOG_type;
curLogFd(){ return fileno(stderr); }
