/*////////////////////////////////////////////////////////////////////////
Copyright (c) 1994 Electrotechnical Laboratry (ETL), AIST, MITI

Permission to use, copy, modify, and distribute this material for any
purpose and without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies, and
that the name of ETL not be used in advertising or publicity pertaining
to this material without the specific, prior written permission of an
authorized representative of ETL.
ETL MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS
MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS
OR IMPLIED WARRANTIES.
/////////////////////////////////////////////////////////////////////////
Content-Type:	program/C; charset=US-ASCII
Program:	ls2html.c
Author:		Yutaka Sato <ysato@etl.go.jp>
Description:
History:
	941009	extracted from ftpgw.c
//////////////////////////////////////////////////////////////////////#*/

#include "vsocket.h"

#define getCERNiconBase(Conn,iconbase)   strcpy(iconbase,"http://-.-/-/builtin/cern/")
#define redirect_url(Conn,url,durl) strcpy(durl,url)
#define streq(a,b)	(strcmp(a,b)==0)
#define fgetsTIMEOUT	fgets

#define MAIN
#define putFrogForDeleGate	LputFrogForDeleGate
#define ClientIF_H		LClientIF_H
#define HostPort		LHostPort

#include "ftpgw.c"
Connection Conn0;

LputFrogForDeleGate(Conn,dst,fmt,a,b,c)
	char *Conn;
	FILE *dst;
	char *fmt,*a,*b,*c;
{
	fprintf(dst,fmt,a,b,c);
	fprintf(dst,"\n");
}
LClientIF_H(Conn,myhost)
	void *Conn;
	char *myhost;
{	char host[256];

	gethostname(myhost,128);
	return 8080;
}
LHostPort(hostport,proto,host,port)
	char *hostport,*proto,*host;
{
	strcpy(hostport,host);
}


main(ac,av)
	char *av[];
{	FILE *ls;
	char *dir,command[256],hostname[256];
	Connection *Conn = &Conn0;

	if( ac < 2 )
		dir = "/";
	else	dir = av[1];
	DONT_REWRITE = 1;

	sprintf(command,"ls -lL %s",dir);

	SetStartTime();
	if( isatty(0) )
		ls = popen(command,"r");
	else	ls = stdin;

	gethostname(hostname,sizeof(hostname));
	dir_copy(Conn,ls,stdout,NULL,hostname,21,dir,FORM_HTML,0);

	if( ls != stdin )
		pclose(ls);
}

syslog_ERROR(){}
syslog_DEBUG(){}
Finish(code){ exit(code); }
getUsernameCached(){}
int LOG_type;
curLogFd(){ fileno(stderr); }
