#ifndef _YSOCKET_H
#define _YSOCKET_H

#ifdef _MSC_VER
#define socket		_SOCKET
#define bind		_BIND
#define listen		_LISTEN
#define accept		_ACCEPT
#define connect		_CONNECT

#define select		_SELECT

#define send		_SEND
#define recv		_RECV
#define sendto		_SENDTO
#define recvfrom	_RECVFROM

#define getsockname	_GETSOCKNAME
#define getpeername	_GETPEERNAME
extern int getsockname();
extern int getpeername();

#define setsockopt	_SETSOCKOPT
#define getsockopt	_GETSOCKOPT

#define gethostname	_GETHOSTNAME
#endif /* _MSC_VER */

#if defined(_MSC_VER) || defined(__EMX__)

#define gethostbyname	_GETHOSTBYNAME
#define gethostbyaddr	_GETHOSTBYADDR

#endif /* MSC,EMX */

#ifdef __CYGWIN32__
#undef send
#undef recv
#define send		__SEND
#define recv		__RECV
#endif

#endif /* _YSOCKET_H */
