/*////////////////////////////////////////////////////////////////////////
Copyright (c) 1994 Electrotechnical Laboratry (ETL), AIST, MITI

Permission to use, copy, modify, and distribute this material for any
purpose and without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies, and
that the name of ETL not be used in advertising or publicity pertaining
to this material without the specific, prior written permission of an
authorized representative of ETL.
ETL MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS
MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS
OR IMPLIED WARRANTIES.
/////////////////////////////////////////////////////////////////////////
Content-Type:	program/C; charset=US-ASCII
Program:	ftpget.c
Author:		Yutaka Sato <ysato@etl.go.jp>
Description:
History:
	941225	created
//////////////////////////////////////////////////////////////////////#*/
#include <stdio.h>
#include <string.h>
char *strstr();

static char *usage = "\
Usage: urlfind URL\n\
   Find recursively in URL space.\n\
";

static char *puttype(ser,buff,size,out)
	char *buff;
	FILE *out;
{
	if( ser <= 0 )
		return "";

	fwrite(buff,1,size,out);
	return "linemode";
}
main(ac,av)
	char *av[];
{	int svsock;
	FILE *ts,*fs;
	char req[1024],resp[1024];

	svsock = client_open("FTPGET","ftpget","etlpom",9999);
	ts = fdopen(svsock,"w");
	fs = fdopen(svsock,"r");

	for(;;){
		fputs("> ",stdout);
		fflush(stdout);
		if( fgets(req,sizeof(req),stdin) == NULL )
			break;
		fputs(req,ts);
		fflush(ts);

		getMessage(svsock,puttype,stdout);
		fflush(stdout);
	}
}

serviceport(proto)
	char *proto;
{
	if( strcasecmp(proto,"http") == 0 )
		return 80;
	return 0;
}
CallShio(){}
keepPublic(){}
CallSrelay(){}
