/*////////////////////////////////////////////////////////////////////////
Copyright (c) 1996 Electrotechnical Laboratry (ETL), AIST, MITI

Permission to use, copy, modify, and distribute this material for any
purpose and without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies, and
that the name of ETL not be used in advertising or publicity pertaining
to this material without the specific, prior written permission of an
authorized representative of ETL.
ETL MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS
MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS
OR IMPLIED WARRANTIES.
/////////////////////////////////////////////////////////////////////////
Content-Type:	program/C; charset=US-ASCII
Program:	udprelay
Author:		Yutaka Sato <ysato@etl.go.jp>
Description:
History:
	961006	created
//////////////////////////////////////////////////////////////////////#*/
#include "delegate.h"

service_udprelay(Conn)
	Connection *Conn;
{
	udp_relay(Conn,FromC);
}

udp_relay(Conn,clsock)
	Connection *Conn;
{	int svsock;
	int sockv[64],readyv[64],sx;
	char buf[0x8000];
	int rcc,wcc;
	int nready;
	char ihost[32];
	int iport;
	char svhost[32],clhost[32];
	int svport;
	int clport;

	strcpy(svhost,gethostaddr(DST_HOST));
	svport = DST_PORT;
	clhost[0] = 0;

	for(;;){
		rcc = RecvFrom(clsock,buf,sizeof(buf),ihost,&iport);
		if( rcc <= 0 )
			break;
		if( clhost[0] == 0 ){
			strcpy(clhost,ihost);
			clport = iport;
		}

		sv1log("INHOST:%s CLIENT:%s:%d SERVER:%s:%d\n",
			ihost,clhost,clport,svhost,svport);
		bdump(0,0,buf,rcc);

		if( strcmp(ihost,clhost) == 0 ){
			wcc = SendTo(clsock,buf,rcc,svhost,svport);
			sv1log("TO SERVER: %d\n",wcc);
		}
		else
		if( strcmp(ihost,svhost) == 0 ){
			SendTo(clsock,buf,sizeof(buf),clhost,clport);
			sv1log("TO CLIENT\n");
		}else{
			sv1log("WHAT?\n");
		}
	}
/*
		nready = PollIns(0,2,sockv,readyv);
		if( nready < 0 )
			break;

		for( sx = 0; sx < 2; sx++ ){
			if( readyv[sx] <= 0 )
				continue;
			rcc = Recv(sockv[sx],buff,sizeof(buff));

bdump(sx,(sx+1)%1,buff,rcc);
sv1log("[%d]=%d read=%d\n",sx,sockv[sx],rcc);

			if( rcc <= 0 )
				sleep(1);
			else{
				wcc = Send(sockv[(sx+1)%2],buff,rcc,0);
sv1log("[%d]=%d sent=%d\n",(sx+1)%2,sockv[(sx+1)%2],wcc);
			}
		}
	}
*/
}
